package org.dynmap.factions;

class PlayerSetUpdate implements Runnable {

    private final DynmapFactionsPlugin dynmapFactionsPlugin;
    public final String faction;

    public PlayerSetUpdate(DynmapFactionsPlugin dynmapFactionsPlugin, String fid) {
        this.dynmapFactionsPlugin = dynmapFactionsPlugin;
        faction = fid;
    }

    public void run() {
        if (!dynmapFactionsPlugin.stop) {
            dynmapFactionsPlugin.updatePlayerSet(faction);
        }
    }
    
}
